# Class Node.Nodes

java.lang.Object
org.apache.jasper.compiler.Node.Nodes

Enclosing class:
  `Node`

public static class Node.Nodes extends Object
An ordered list of Node, used to represent the body of an element, or a jsp page of jsp document.

Author:
  Kin-man Chung, Jan Luehe, Shawn Bayern, Mark Roth

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Node n)`
  Appends a node to the list
  `Node`
  `getNode(int index)`
  `Node.Root`
  `getRoot()`
  `boolean`
  `isGeneratedInBuffer()`
  `void`
  `remove(Node n)`
  Removes the given node from the list.
  `void`
  `setGeneratedInBuffer(boolean g)`
  `int`
  `size()`
  `void`
  `visit(Node.Visitor v)`
  Visit the nodes in the list with the supplied visitor

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### add

    public void add(Node n)
    Appends a node to the list
    Parameters:
      `n` - The node to add

  - ### remove

    public void remove(Node n)
    Removes the given node from the list.
    Parameters:
      `n` - The node to be removed

  - ### visit

    public void visit(Node.Visitor v) throws JasperException
    Visit the nodes in the list with the supplied visitor
    Parameters:
      `v` - The visitor used
    Throws:
      `JasperException` - if an error occurs while visiting a node

  - ### size

    public int size()

  - ### getNode

    public Node getNode(int index)

  - ### getRoot

    public Node.Root getRoot()

  - ### isGeneratedInBuffer

    public boolean isGeneratedInBuffer()

  - ### setGeneratedInBuffer

    public void setGeneratedInBuffer(boolean g)